/**
 * @desc JSON 传参
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export const init = new defs.ResultPageVoString()

export function request(
    body?: defs.PageParam,
    config?: http.RequestConfig<defs.PageParam>,
    options?: http.RequestOptions,
) {
    return defHttp.request(
        {
            url: '/example/json',
            method: 'POST',
            data: body,
            headers: { 'Content-Type': 'application/json' },

            ...config,
        },
        options,
    )
}
